Index: trunk/client/temi/yellowblu/menu.php
===================================================================
--- trunk/client/temi/yellowblu/menu.php	(revision 254)
+++ trunk/client/temi/yellowblu/menu.php	(revision 265)
@@ -14,10 +14,14 @@
 Funzione Menu a cascata
 *************************/
-	$sqlcomu="select descrizione from ".$prefix."_ele_comuni where id_comune=$id_comune";
-	$rescomu= mysql_query("$sqlcomu",$dbi);
-	list($descr_com)=mysql_fetch_row($rescomu);
-	$sqlcomu="select id_fascia from ".$prefix."_ele_cons_comune where id_comune=$id_comune and id_cons='$id_cons'";
-	$rescomu= mysql_query("$sqlcomu",$dbi);
-	list($fascia)=mysql_fetch_row($rescomu);
+	$sql="select descrizione from ".$prefix."_ele_comuni where id_comune=$id_comune";
+	$rescomu = $dbi->prepare("$sql");
+	$rescomu->execute();
+
+	list($descr_com)=$rescomu->fetch(PDO::FETCH_NUM);
+	$sql="select id_fascia from ".$prefix."_ele_cons_comune where id_comune=$id_comune and id_cons='$id_cons'";
+	$rescomu = $dbi->prepare("$sql");
+	$rescomu->execute();
+
+	list($fascia)=$rescomu->fetch(PDO::FETCH_NUM);
         
 	echo ' <table cellpadding="0" cellspacing="0" style="border:0px;text-align:left;"><tr><td>
@@ -39,7 +43,9 @@
 	if ($multicomune=='1')
 	{
-	      $sqlcomu="select t1.id_comune,t1.descrizione,count(0) from ".$prefix."_ele_comuni as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_comune=t2.id_comune and t2.chiusa!='2' group by t1.id_comune,t1.descrizione order by t1.descrizione asc";
-	      $rescomu= mysql_query("$sqlcomu",$dbi);
-	      $esiste_multi=mysql_num_rows($rescomu);
+	      $sql="select t1.id_comune,t1.descrizione,count(0) from ".$prefix."_ele_comuni as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_comune=t2.id_comune and t2.chiusa!='2' group by t1.id_comune,t1.descrizione order by t1.descrizione asc";
+			$rescomu = $dbi->prepare("$sql");
+			$rescomu->execute();
+
+	      $esiste_multi=$rescomu->rowCount();
 	      if ($esiste_multi>=1) {
 		    echo " <li class=\"dropdown\">
@@ -48,5 +54,5 @@
 			   <ul class=\"drop-nav\">";
 			
-		      while (list($id,$descrizione,)=mysql_fetch_row($rescomu)){
+		      while (list($id,$descrizione,)=$rescomu->fetch(PDO::FETCH_NUM)){
 			    echo "<li><a href=\"modules.php?op=gruppo&amp;name=Elezioni&amp;id_comune=$id&amp;file=index\">
     <img src=\"modules/Elezioni/images/logo.gif\" width=\"16\" height=\"16\" class=\"nobordo\"> $descrizione</a></li>";
@@ -63,6 +69,9 @@
 	***********************************/
        
-	$res = mysql_query("SELECT t1.id_cons_gen,t1.descrizione FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_comune='$id_comune' and t2.chiusa!='2' order by t1.data_fine desc" , $dbi); 
-	$esiste=mysql_num_rows($res);
+	$sql="SELECT t1.id_cons_gen,t1.descrizione FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_comune='$id_comune' and t2.chiusa!='2' order by t1.data_fine desc" ;
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+ 
+	$esiste=$res->fetch(PDO::FETCH_NUM);
 	//se esiste consultazione fa vedere i dati
 	if ($esiste>=1) {
@@ -71,5 +80,5 @@
 	     <ul class=\"drop-nav\">";
 	 
-	    while(list($id,$descrizione) = mysql_fetch_row($res)) {
+	    while(list($id,$descrizione) = $res->fetch(PDO::FETCH_NUM)) {
 		echo "<li class=\"icon matita\"><a href=\"modules.php?op=gruppo&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;id_cons_gen=$id\">
 	      ".substr($descrizione,0,60)."</a></li>";
@@ -112,6 +121,9 @@
 		***********************************/
 
- 	$res = mysql_query("SELECT count(0) FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons' ", $dbi);
-	list($num_circ) = mysql_fetch_row($res);
+ 	$sql="SELECT count(0) FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons' ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+	list($num_circ) = $res->fetch(PDO::FETCH_NUM);
        	 echo " <li class=\"dropdown\"><a href=\"#\"><strong>"._RISULTATI."</strong></a>
 	     <ul class=\"drop-nav\">";
@@ -141,6 +153,9 @@
 			}
       		}
-                $resc = mysql_query("SELECT chiusa FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons'" , $dbi);
-                list($chiusa)=mysql_fetch_row($resc);
+                $sql="SELECT chiusa FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons'" ;
+				$resc = $dbi->prepare("$sql");
+				$resc->execute();
+
+                list($chiusa)=$resc->fetch(PDO::FETCH_NUM);
 
                 if ($hondt>=1 and $chiusa==1) {
